Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
/v1/segments{ "data": [ … ] }
curl -sS -X GET "https://api.mailofly.com/v1/segments" \
-H "Accept: application/json" \
-H "Authorization: Bearer mf_live_your_key_here"
/v1/segments{ "name": "Newsletter" }
{ "data": { "id": "uuid", "name": "Newsletter" } }
curl -sS -X POST "https://api.mailofly.com/v1/segments" \
-H "Accept: application/json" \
-H "Authorization: Bearer mf_live_your_key_here" \
-H "Content-Type: application/json" \
-d '{"name":"Newsletter"}'
/v1/segments/{id}{ "data": { … } }
curl -sS -X GET "https://api.mailofly.com/v1/segments/00000000-0000-0000-0000-000000000001" \
-H "Accept: application/json" \
-H "Authorization: Bearer mf_live_your_key_here"
/v1/segments/{id}{ "name": "Renamed" }
{ "data": { … } }
curl -sS -X PATCH "https://api.mailofly.com/v1/segments/00000000-0000-0000-0000-000000000001" \
-H "Accept: application/json" \
-H "Authorization: Bearer mf_live_your_key_here" \
-H "Content-Type: application/json" \
-d '{"name":"Renamed"}'
/v1/segments/{id}{ "ok": true }
curl -sS -X DELETE "https://api.mailofly.com/v1/segments/00000000-0000-0000-0000-000000000001" \
-H "Accept: application/json" \
-H "Authorization: Bearer mf_live_your_key_here"